MyGUI::SubWidgetManager Class Reference

`#include <MyGUI_SubWidgetManager.h>`

## Public Member Functions

| SubWidgetManager (const SubWidgetManager &)=delete
SubWidgetManager & | operator= (const SubWidgetManager &)=delete
| SubWidgetManager ()
void | initialise ()
void | shutdown ()
const std::string & | getCategoryName () const
const std::string & | getStateCategoryName () const

## Static Public Member Functions

static SubWidgetManager & | getInstance ()
static SubWidgetManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 16 of file MyGUI_SubWidgetManager.h.

## Constructor & Destructor Documentation

## SubWidgetManager() [1/2]

MyGUI::SubWidgetManager::SubWidgetManager | ( | const SubWidgetManager & |  | ) |

delete

## SubWidgetManager() [2/2]

MyGUI::SubWidgetManager::SubWidgetManager | ( |  | ) |

Definition at line 25 of file MyGUI_SubWidgetManager.cpp.

## Member Function Documentation

## getCategoryName()

const std::string & MyGUI::SubWidgetManager::getCategoryName | ( |  | ) | const

Definition at line 86 of file MyGUI_SubWidgetManager.cpp.

## getClassTypeName()

std::string_view MyGUI::SubWidgetManager::getClassTypeName | ( |  | ) |

static

## getInstance()

SubWidgetManager & MyGUI::SubWidgetManager::getInstance | ( |  | ) |

static

## getInstancePtr()

SubWidgetManager * MyGUI::SubWidgetManager::getInstancePtr | ( |  | ) |

static

## getStateCategoryName()

const std::string & MyGUI::SubWidgetManager::getStateCategoryName | ( |  | ) | const

Definition at line 91 of file MyGUI_SubWidgetManager.cpp.

## initialise()

void MyGUI::SubWidgetManager::initialise | ( |  | ) |

Definition at line 32 of file MyGUI_SubWidgetManager.cpp.

## operator=()

SubWidgetManager & MyGUI::SubWidgetManager::operator= | ( | const SubWidgetManager & |  | ) |

delete

## shutdown()

void MyGUI::SubWidgetManager::shutdown | ( |  | ) |

Definition at line 59 of file MyGUI_SubWidgetManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SubWidgetManager.h
- MyGUI_SubWidgetManager.cpp